import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `Codexverde`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_CODEXVERDE,
  {
    url: config.CODEXVERDE,
    articlesSelector: "#tdi_110 > div:nth-child(1) > div:nth-child(1), #tdi_111 div.td-cpt-post",
    titleSelector: "div.td-module-meta-info h3",
    linkSelector: "div.td-module-meta-info h3 a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["Codexverde", "Gestionambiental", "Agua", "Aire", "Biodiversidad", "Cambioclimatico", "Energia", "Residuos"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
