import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `Fundación Glaciares Chilenos`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_GLACIARESCHILENOS,
  {
    url: config.GLACIARESCHILENOS,
    articlesSelector: "article",
    titleSelector: "h2.entry-title",
    linkSelector: "h2.entry-title a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["Fundacion", "GlaciaresChilenos", "Glaciares", "Chile", "MedioAmbiente", "Artículos"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
