import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `Ladera Sur`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_LADERASUR,
  {
    url: config.LADERASUR,
    articlesSelector: "ul.featured-articles-list li, ul.articles-list li",
    titleSelector: "a h3, a h2",
    linkSelector: "a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["LaderaSur", "Ciencia", "Biodiversidad", "ViajesYDestinos", "MedioAmbiente", "DeporteYOutdoor", "Arte", "Cultura", "Patrimonio"],
    cacheExpiration: 60 * 60 * 24 * 30, // 30 días
  }
).getHandler();
